Bug 163580 - Command 'next' results very high CPU usage and a long time response time
Command 'next' results very high CPU usage and a long time response time
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Depends On:
  Show dependency treegraph
Reported: 2005-07-19 02:23 EDT by Neo
Modified: 2008-02-18 21:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-18 21:22:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neo 2005-07-19 02:23:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
I am not sure if it is a bug or a mere performance problem, but I will report it there.

I am debugging a C/C++ program. I set a breakpoint (syscall open()) and run the program. When I use the 'step' command, the CPU usage is very high (almost 100%) and it takes even minutes before gdb returns to prompt state.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Compiles a program with -g2.
2. Start gdb with the program.
3. Set a breakpoint at a syscall, for example open.
4. Issue gdb command run.
5. When it hits the breakpoint, issue command step.

Actual Results:  Very high CPU usage and a very long time before gdb returns to is prompt state.

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:27:32 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 petrosyan 2008-02-18 21:22:35 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.